--This command will limit your turbo to 160m/s when enabled

escort_turbo_active = 0;
eturbo_timer = {}
eturbo_brakes = 0

function escort_turbo()
   if escort_turbo_active == 1 then
      escort_turbo_active = 0
      print("Escort turbo disabled: Speed limitations removed")
      if eturbo_timer:IsActive() then
         eturbo_timer:Kill()
         --make sure the brakes dont get left stuck on
         gkinterface.GKProcessCommand('+Brakes 0')
      end
      return
   end
   	
   if escort_turbo_active == 0 then
      escort_turbo_active = 1
      print("Escort turbo active: Speed will be limited to 160m/s")
      eturbo_timer = Timer()
      eturbo_timer:SetTimeout(500,eturbo_checkspeed())      
   end
   return
end

function eturbo_checkspeed()
   local speed
   speed = GetActiveShipSpeed()
   if speed > 160 then
      --slow down
      gkinterface.GKProcessCommand('+Brakes 1')
      eturbo_brakes = 1
   end
   if speed < 160 then
      --check if brakes are on
      if eturbo_brakes == 1 then
         gkinterface.GKProcessCommand('+Brakes 0')
         eturbo_brakes = 0
      end
   end
   --re set timer
   eturbo_timer:SetTimeout(500,eturbo_checkspeed)
end

RegisterUserCommand("escort_turbo",escort_turbo)